netzmacht/contao-packagist-package

Show packagist packe information.

dev-master / 1.0.x-dev 2021-02-10 13:48 UTC

This package is auto-updated.

Last update: 2022-09-10 17:01:10 UTC


README

Build Status Version License Downloads Contao Community Alliance coding standard

This extension provides Bootstrap 4 grid tools for Contao CMS.

Features

  • Manage grid definition in your theme settings
  • Content elements
  • Form elements
  • Grid module
  • Import/Export with your theme settings

Changelog

See changelog

Requirements

  • PHP 7.1
  • Contao ~4.4

Install

Managed edition

When using the managed edition it's pretty simple to install the package. Just search for the package in the Contao Manager and install it. Alternatively you can use the CLI.

# Using the contao manager
$ php contao-manager.phar.php composer require contao-bootstrap/grid~2.0@beta

# Using composer directly
$ php composer.phar require contao-bootstrap/grid~2.0@beta

Standard edition

Without the contao manager you also have to register the bundle

class AppKernel
{
    public function registerBundles()
    {
        $bundles = [
            // ...
            new Contao\CoreBundle\HttpKernel\Bundle\ContaoModuleBundle('metapalettes', $this->getRootDir()),
            new Contao\CoreBundle\HttpKernel\Bundle\ContaoModuleBundle('multicolumnwizard', $this->getRootDir()),
            new ContaoBootstrap\Core\ContaoBootstrapCoreBundle(),
            new ContaoBootstrap\Grid\ContaoBootstrapGridBundle()
        ];
    }
}